//-----------------------------------------------------------------------------
// Handle events of GUI controls of the credits menu.
//-----------------------------------------------------------------------------

function CreditsMenuDlg::onWake(%this)
{
//   %pXml = loadMenuXML();
//   parseCreditsMenuXML(%pXml);
//   %pXml.delete();
   
   Canvas.setWidescreen(CreditsMenuDlgCenter, 100, false);
}

function CreditsMenuDlg::onResize(%this, %width, %height)
{
   Canvas.setWidescreen(CreditsMenuDlgCenter, 2000, true);   
}
/*
// Parse XML file looking for menu text tags
function parseCreditsMenuXML(%pXml)
{
   if(!isObject(%pXml))
      return;
      
   // Push the first child element named "credits" onto the XML document stack.
   if(!%pXml.pushFirstChildElement("credits"))
   {
      echo("Failed to load 'credits' tag.");
      return;
   }
   
   if(%pXml.pushFirstChildElement("title"))
   {
      TitleCreditsText.text = %pXml.attribute("text");
      %pXml.popElement();
   }

   //if(%pXml.pushFirstChildElement("back"))
   //{
      //BackCreditsButtonText.text = %pXml.attribute("text");
      //%pXml.popElement();
   //}
}
*/
// Stop grow/shrink animation of all menu UI elements
//function StopMenuShrinkGrowCreditsMenu()
//{
//   StopShrinkGrowGUI(BackCreditsButton);   
//}

